MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
ConfigGlobal.hxx File Reference
`#include "ConfigOption.hxx"`
`#include "Compiler.h"`
`#include <chrono>`
Include dependency graph for ConfigGlobal.hxx:

Go to the source code of this file.

## Functions
void | config_global_init ()
void | config_global_finish ()
void | config_global_check ()
| Call this function after all configuration has been evaluated. More...
void | ReadConfigFile (Path path)
gcc_pure const ConfigParam * | config_get_param (enum ConfigOption option)
gcc_pure const ConfigBlock * | config_get_block (enum ConfigBlockOption option)
gcc_pure const ConfigBlock * | config_find_block (ConfigBlockOption option, const char *key, const char *value)
| Find a block with a matching attribute. More...
gcc_pure const char * | config_get_string (enum ConfigOption option, const char *default_value=nullptr)
AllocatedPath | config_get_path (enum ConfigOption option)
| Returns an optional configuration variable which contains an absolute path. More...
gcc_pure unsigned | config_get_unsigned (enum ConfigOption option, unsigned default_value)
static gcc_pure std::chrono::steady_clock::duration | config_get_unsigned (ConfigOption option, std::chrono::steady_clock::duration default_value)
gcc_pure unsigned | config_get_positive (enum ConfigOption option, unsigned default_value)
static gcc_pure std::chrono::steady_clock::duration | config_get_positive (ConfigOption option, std::chrono::steady_clock::duration default_value)
gcc_pure bool | config_get_bool (enum ConfigOption option, bool default_value)

## Function Documentation

gcc_pure const ConfigBlock* config_find_block | ( | ConfigBlockOption | option,
|  | const char * | key,
|  | const char * | value
| ) |  |

Find a block with a matching attribute.

Parameters

  option | the blocks to search
  key | the attribute name
  value | the expected attribute value

gcc_pure const ConfigBlock* config_get_block | ( | enum ConfigBlockOption | option | ) |

gcc_pure bool config_get_bool | ( | enum ConfigOption | option,
|  | bool | default_value
| ) |  |

gcc_pure const ConfigParam* config_get_param | ( | enum ConfigOption | option | ) |

AllocatedPath config_get_path | ( | enum ConfigOption | option | ) |

Returns an optional configuration variable which contains an absolute path.

If there is a tilde prefix, it is expanded. Returns AllocatedPath::Null() if the value is not present.

Throws #std::runtime_error on error.

gcc_pure unsigned config_get_positive | ( | enum ConfigOption | option,
|  | unsigned | default_value
| ) |  |

static gcc_pure std::chrono::steady_clock::duration config_get_positive | ( | ConfigOption | option,
|  | std::chrono::steady_clock::duration | default_value
| ) |  |
| inline static

Definition at line 109 of file ConfigGlobal.hxx.

gcc_pure const char* config_get_string | ( | enum ConfigOption | option,
|  | const char * | default_value = `nullptr`
| ) |  |

gcc_pure unsigned config_get_unsigned | ( | enum ConfigOption | option,
|  | unsigned | default_value
| ) |  |

static gcc_pure std::chrono::steady_clock::duration config_get_unsigned | ( | ConfigOption | option,
|  | std::chrono::steady_clock::duration | default_value
| ) |  |
| inline static

Definition at line 95 of file ConfigGlobal.hxx.

void config_global_check | ( |  | ) |

Call this function after all configuration has been evaluated.

It checks for unused parameters, and logs warnings.

void config_global_finish | ( |  | ) |

void config_global_init | ( |  | ) |

void ReadConfigFile | ( | Path | path | ) |